// Garden Gnome Software - Skin
// Pano2VR pro 4.5.3/10717
// Filename: Hornby-new.ggsk
// Generated Wed Jul 22 16:26:50 2015

function pano2vrSkin(player,base) {
	var me=this;
	var flag=false;
	var nodeMarker=new Array();
	var activeNodeMarker=new Array();
	this.player=player;
	this.player.skinObj=this;
	this.divSkin=player.divSkin;
	var basePath="";
	// auto detect base path
	if (base=='?') {
		var scripts = document.getElementsByTagName('script');
		for(var i=0;i<scripts.length;i++) {
			var src=scripts[i].src;
			if (src.indexOf('skin.js')>=0) {
				var p=src.lastIndexOf('/');
				if (p>=0) {
					basePath=src.substr(0,p+1);
				}
			}
		}
	} else
	if (base) {
		basePath=base;
	}
	this.elementMouseDown=new Array();
	this.elementMouseOver=new Array();
	var cssPrefix='';
	var domTransition='transition';
	var domTransform='transform';
	var prefixes='Webkit,Moz,O,ms,Ms'.split(',');
	var i;
	for(i=0;i<prefixes.length;i++) {
		if (typeof document.body.style[prefixes[i] + 'Transform'] !== 'undefined') {
			cssPrefix='-' + prefixes[i].toLowerCase() + '-';
			domTransition=prefixes[i] + 'Transition';
			domTransform=prefixes[i] + 'Transform';
		}
	}
	
	this.player.setMargins(0,0,0,0);
	
	this.updateSize=function(startElement) {
		var stack=new Array();
		stack.push(startElement);
		while(stack.length>0) {
			e=stack.pop();
			if (e.ggUpdatePosition) {
				e.ggUpdatePosition();
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	
	parameterToTransform=function(p) {
		var hs='translate(' + p.rx + 'px,' + p.ry + 'px) rotate(' + p.a + 'deg) scale(' + p.sx + ',' + p.sy + ')';
		return hs;
	}
	
	this.findElements=function(id,regex) {
		var r=new Array();
		var stack=new Array();
		var pat=new RegExp(id,'');
		stack.push(me.divSkin);
		while(stack.length>0) {
			e=stack.pop();
			if (regex) {
				if (pat.test(e.ggId)) r.push(e);
			} else {
				if (e.ggId==id) r.push(e);
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
		return r;
	}
	
	this.addSkin=function() {
		this._screen_tint=document.createElement('div');
		this._screen_tint.ggId="screen tint";
		this._screen_tint.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._screen_tint.ggVisible=true;
		this._screen_tint.className='ggskin ggskin_rectangle';
		this._screen_tint.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: -144px;';
		hs+='top:  -29px;';
		hs+='width: 5000px;';
		hs+='height: 5000px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='opacity: 0;';
		hs+='visibility: hidden;';
		hs+='background: #000000;';
		hs+='background: rgba(0,0,0,0.392157);';
		hs+='border: 0px solid #000000;';
		this._screen_tint.setAttribute('style',hs);
		this._screen_tint.onclick=function () {
			if (me.player.transitionsDisabled) {
				me._entrance.style[domTransition]='none';
			} else {
				me._entrance.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._entrance.style.opacity='0';
			me._entrance.style.visibility='hidden';
			if (me.player.transitionsDisabled) {
				me._reception.style[domTransition]='none';
			} else {
				me._reception.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._reception.style.opacity='0';
			me._reception.style.visibility='hidden';
			if (me.player.transitionsDisabled) {
				me._treatment.style[domTransition]='none';
			} else {
				me._treatment.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._treatment.style.opacity='0';
			me._treatment.style.visibility='hidden';
			if (me.player.transitionsDisabled) {
				me._hygiene.style[domTransition]='none';
			} else {
				me._hygiene.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._hygiene.style.opacity='0';
			me._hygiene.style.visibility='hidden';
			if (me.player.transitionsDisabled) {
				me._screen_tint.style[domTransition]='none';
			} else {
				me._screen_tint.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._screen_tint.style.opacity='0';
			me._screen_tint.style.visibility='hidden';
			if (me.player.transitionsDisabled) {
				me._image_end_text.style[domTransition]='none';
			} else {
				me._image_end_text.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._image_end_text.style.opacity='0';
			me._image_end_text.style.visibility='hidden';
		}
		this.divSkin.appendChild(this._screen_tint);
		this._reception=document.createElement('div');
		this._reception.ggId="Reception";
		this._reception.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._reception.ggVisible=true;
		this._reception.className='ggskin ggskin_button';
		this._reception.ggType='button';
		this._reception.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=Math.floor(-294 + w/2) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=Math.floor(-200 + h/2) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -294px;';
		hs+='top:  -200px;';
		hs+='width: 600px;';
		hs+='height: 400px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='opacity: 0;';
		hs+='visibility: hidden;';
		this._reception.setAttribute('style',hs);
		this._reception__img=document.createElement('img');
		this._reception__img.className='ggskin ggskin_button';
		this._reception__img.setAttribute('src',basePath + 'images/reception.jpg');
		this._reception__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._reception__img.className='ggskin ggskin_button';
		this._reception__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._reception__img);
		this._reception.appendChild(this._reception__img);
		this._reception.onclick=function () {
			if (me.player.transitionsDisabled) {
				me._reception.style[domTransition]='none';
			} else {
				me._reception.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._reception.style.opacity='0';
			me._reception.style.visibility='hidden';
			if (me.player.transitionsDisabled) {
				me._screen_tint.style[domTransition]='none';
			} else {
				me._screen_tint.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._screen_tint.style.opacity='0';
			me._screen_tint.style.visibility='hidden';
			if (me.player.transitionsDisabled) {
				me._image_end_text.style[domTransition]='none';
			} else {
				me._image_end_text.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._image_end_text.style.opacity='0';
			me._image_end_text.style.visibility='hidden';
		}
		this.divSkin.appendChild(this._reception);
		this._entrance=document.createElement('div');
		this._entrance.ggId="Entrance";
		this._entrance.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._entrance.ggVisible=true;
		this._entrance.className='ggskin ggskin_button';
		this._entrance.ggType='button';
		this._entrance.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=Math.floor(-298 + w/2) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=Math.floor(-181 + h/2) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -298px;';
		hs+='top:  -181px;';
		hs+='width: 600px;';
		hs+='height: 400px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='opacity: 0;';
		hs+='visibility: hidden;';
		this._entrance.setAttribute('style',hs);
		this._entrance__img=document.createElement('img');
		this._entrance__img.className='ggskin ggskin_button';
		this._entrance__img.setAttribute('src',basePath + 'images/entrance.jpg');
		this._entrance__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._entrance__img.className='ggskin ggskin_button';
		this._entrance__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._entrance__img);
		this._entrance.appendChild(this._entrance__img);
		this._entrance.onclick=function () {
			if (me.player.transitionsDisabled) {
				me._entrance.style[domTransition]='none';
			} else {
				me._entrance.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._entrance.style.opacity='0';
			me._entrance.style.visibility='hidden';
			if (me.player.transitionsDisabled) {
				me._screen_tint.style[domTransition]='none';
			} else {
				me._screen_tint.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._screen_tint.style.opacity='0';
			me._screen_tint.style.visibility='hidden';
			if (me.player.transitionsDisabled) {
				me._image_end_text.style[domTransition]='none';
			} else {
				me._image_end_text.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._image_end_text.style.opacity='0';
			me._image_end_text.style.visibility='hidden';
		}
		this.divSkin.appendChild(this._entrance);
		this._hygiene=document.createElement('div');
		this._hygiene.ggId="Hygiene";
		this._hygiene.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._hygiene.ggVisible=true;
		this._hygiene.className='ggskin ggskin_button';
		this._hygiene.ggType='button';
		this._hygiene.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=Math.floor(-289 + w/2) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=Math.floor(-199 + h/2) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -289px;';
		hs+='top:  -199px;';
		hs+='width: 600px;';
		hs+='height: 400px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='opacity: 0;';
		hs+='visibility: hidden;';
		this._hygiene.setAttribute('style',hs);
		this._hygiene__img=document.createElement('img');
		this._hygiene__img.className='ggskin ggskin_button';
		this._hygiene__img.setAttribute('src',basePath + 'images/hygiene.jpg');
		this._hygiene__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._hygiene__img.className='ggskin ggskin_button';
		this._hygiene__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._hygiene__img);
		this._hygiene.appendChild(this._hygiene__img);
		this._hygiene.onclick=function () {
			if (me.player.transitionsDisabled) {
				me._hygiene.style[domTransition]='none';
			} else {
				me._hygiene.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._hygiene.style.opacity='0';
			me._hygiene.style.visibility='hidden';
			if (me.player.transitionsDisabled) {
				me._screen_tint.style[domTransition]='none';
			} else {
				me._screen_tint.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._screen_tint.style.opacity='0';
			me._screen_tint.style.visibility='hidden';
			if (me.player.transitionsDisabled) {
				me._image_end_text.style[domTransition]='none';
			} else {
				me._image_end_text.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._image_end_text.style.opacity='0';
			me._image_end_text.style.visibility='hidden';
		}
		this.divSkin.appendChild(this._hygiene);
		this._treatment=document.createElement('div');
		this._treatment.ggId="Treatment";
		this._treatment.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._treatment.ggVisible=true;
		this._treatment.className='ggskin ggskin_button';
		this._treatment.ggType='button';
		this._treatment.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=Math.floor(-302 + w/2) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=Math.floor(-188 + h/2) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -302px;';
		hs+='top:  -188px;';
		hs+='width: 600px;';
		hs+='height: 400px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='opacity: 0;';
		hs+='visibility: hidden;';
		this._treatment.setAttribute('style',hs);
		this._treatment__img=document.createElement('img');
		this._treatment__img.className='ggskin ggskin_button';
		this._treatment__img.setAttribute('src',basePath + 'images/treatment.jpg');
		this._treatment__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._treatment__img.className='ggskin ggskin_button';
		this._treatment__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._treatment__img);
		this._treatment.appendChild(this._treatment__img);
		this._treatment.onclick=function () {
			if (me.player.transitionsDisabled) {
				me._treatment.style[domTransition]='none';
			} else {
				me._treatment.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._treatment.style.opacity='0';
			me._treatment.style.visibility='hidden';
			if (me.player.transitionsDisabled) {
				me._screen_tint.style[domTransition]='none';
			} else {
				me._screen_tint.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._screen_tint.style.opacity='0';
			me._screen_tint.style.visibility='hidden';
			if (me.player.transitionsDisabled) {
				me._image_end_text.style[domTransition]='none';
			} else {
				me._image_end_text.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._image_end_text.style.opacity='0';
			me._image_end_text.style.visibility='hidden';
		}
		this.divSkin.appendChild(this._treatment);
		this._loading_rectangle=document.createElement('div');
		this._loading_rectangle.ggId="Loading rectangle";
		this._loading_rectangle.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._loading_rectangle.ggVisible=true;
		this._loading_rectangle.className='ggskin ggskin_rectangle';
		this._loading_rectangle.ggType='rectangle';
		this._loading_rectangle.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=Math.floor(-94 + w/2) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=Math.floor(88 + h/2) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -94px;';
		hs+='top:  88px;';
		hs+='width: 178px;';
		hs+='height: 11px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #0000ff;';
		hs+='background: rgba(0,0,255,0.298039);';
		hs+='border: 2px solid #000080;';
		this._loading_rectangle.setAttribute('style',hs);
		this.divSkin.appendChild(this._loading_rectangle);
		this._loading_text=document.createElement('div');
		this._loading_text__text=document.createElement('div');
		this._loading_text.className='ggskin ggskin_textdiv';
		this._loading_text.ggTextDiv=this._loading_text__text;
		this._loading_text.ggId="Loading text";
		this._loading_text.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._loading_text.ggVisible=true;
		this._loading_text.className='ggskin ggskin_text';
		this._loading_text.ggType='text';
		this._loading_text.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=Math.floor(-88 + w/2) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=Math.floor(56 + h/2) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -88px;';
		hs+='top:  56px;';
		hs+='width: 177px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._loading_text.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 177px;';
		hs+='height: 20px;';
		hs+='border: 0px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: left;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._loading_text__text.setAttribute('style',hs);
		this._loading_text.ggUpdateText=function() {
			var hs="<b>Loading..."+(me.player.getPercentLoaded()*100.0).toFixed(0)+"%<\/b>";
			if (hs!=this.ggText) {
				this.ggText=hs;
				this.ggTextDiv.innerHTML=hs;
			}
		}
		this._loading_text.ggUpdateText();
		this._loading_text.appendChild(this._loading_text__text);
		this.divSkin.appendChild(this._loading_text);
		this._aarm_dental=document.createElement('div');
		this._aarm_dental__text=document.createElement('div');
		this._aarm_dental.className='ggskin ggskin_textdiv';
		this._aarm_dental.ggTextDiv=this._aarm_dental__text;
		this._aarm_dental.ggId="Aarm Dental";
		this._aarm_dental.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._aarm_dental.ggVisible=true;
		this._aarm_dental.className='ggskin ggskin_text';
		this._aarm_dental.ggType='text';
		this._aarm_dental.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				h=this.parentNode.offsetHeight;
				this.style.top=Math.floor(-22 + h) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: 5px;';
		hs+='top:  -22px;';
		hs+='width: 287px;';
		hs+='height: 25px;';
		hs+=cssPrefix + 'transform-origin: 0% 100%;';
		hs+='opacity: 0;';
		hs+='visibility: hidden;';
		this._aarm_dental.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 287px;';
		hs+='height: 25px;';
		hs+='border: 0px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: left;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._aarm_dental__text.setAttribute('style',hs);
		this._aarm_dental.ggTextDiv.innerHTML="Aarm Dental Group - 1270 Hornby St.";
		this._aarm_dental.appendChild(this._aarm_dental__text);
		this.divSkin.appendChild(this._aarm_dental);
		this._image_end_text=document.createElement('div');
		this._image_end_text__text=document.createElement('div');
		this._image_end_text.className='ggskin ggskin_textdiv';
		this._image_end_text.ggTextDiv=this._image_end_text__text;
		this._image_end_text.ggId="image end text";
		this._image_end_text.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_end_text.ggVisible=true;
		this._image_end_text.className='ggskin ggskin_text';
		this._image_end_text.ggType='text';
		this._image_end_text.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=Math.floor(-232 + w) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=Math.floor(-25 + h) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -232px;';
		hs+='top:  -25px;';
		hs+='width: 223px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 100% 100%;';
		hs+='opacity: 0;';
		hs+='visibility: hidden;';
		this._image_end_text.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 223px;';
		hs+='height: 20px;';
		hs+='background: #ffffff;';
		hs+='border: 2px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._image_end_text__text.setAttribute('style',hs);
		this._image_end_text.ggTextDiv.innerHTML="click\/tap here to leave image";
		this._image_end_text.appendChild(this._image_end_text__text);
		this._image_end_text.onmouseover=function () {
			if (me.player.transitionsDisabled) {
				me._image_end_text.style[domTransition]='none';
			} else {
				me._image_end_text.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._image_end_text.style.opacity='0';
			me._image_end_text.style.visibility='hidden';
			if (me.player.transitionsDisabled) {
				me._screen_tint.style[domTransition]='none';
			} else {
				me._screen_tint.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._screen_tint.style.opacity='0';
			me._screen_tint.style.visibility='hidden';
			if (me.player.transitionsDisabled) {
				me._hygiene.style[domTransition]='none';
			} else {
				me._hygiene.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._hygiene.style.opacity='0';
			me._hygiene.style.visibility='hidden';
			if (me.player.transitionsDisabled) {
				me._entrance.style[domTransition]='none';
			} else {
				me._entrance.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._entrance.style.opacity='0';
			me._entrance.style.visibility='hidden';
			me._reception.style[domTransition]='none';
			me._reception.style.opacity='0';
			me._reception.style.visibility='hidden';
			me._treatment.style[domTransition]='none';
			me._treatment.style.opacity='0';
			me._treatment.style.visibility='hidden';
		}
		this.divSkin.appendChild(this._image_end_text);
		this._image_1=document.createElement('div');
		this._image_1.ggId="Image 1";
		this._image_1.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_1.ggVisible=true;
		this._image_1.className='ggskin ggskin_image';
		this._image_1.ggType='image';
		hs ='position:absolute;';
		hs+='left: 1px;';
		hs+='top:  1px;';
		hs+='width: 579px;';
		hs+='height: 29px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._image_1.setAttribute('style',hs);
		this._image_1__img=document.createElement('img');
		this._image_1__img.className='ggskin ggskin_image';
		this._image_1__img.setAttribute('src',basePath + 'images/image_1.png');
		this._image_1__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._image_1__img.className='ggskin ggskin_image';
		this._image_1__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._image_1__img);
		this._image_1.appendChild(this._image_1__img);
		this.divSkin.appendChild(this._image_1);
		this.divSkin.ggUpdateSize=function(w,h) {
			me.updateSize(me.divSkin);
		}
		this.divSkin.ggViewerInit=function() {
		}
		this.divSkin.ggLoaded=function() {
			me._loading_rectangle.style[domTransition]='none';
			me._loading_rectangle.style.visibility='hidden';
			me._loading_rectangle.ggVisible=false;
			me._loading_text.style[domTransition]='none';
			me._loading_text.style.visibility='hidden';
			me._loading_text.ggVisible=false;
		}
		this.divSkin.ggReLoaded=function() {
		}
		this.divSkin.ggLoadedLevels=function() {
		}
		this.divSkin.ggReLoadedLevels=function() {
		}
		this.divSkin.ggEnterFullscreen=function() {
		}
		this.divSkin.ggExitFullscreen=function() {
		}
		this.skinTimerEvent();
	};
	this.hotspotProxyClick=function(id) {
	}
	this.hotspotProxyOver=function(id) {
	}
	this.hotspotProxyOut=function(id) {
	}
	this.changeActiveNode=function(id) {
		var newMarker=new Array();
		var i,j;
		var tags=me.player.userdata.tags;
		for (i=0;i<nodeMarker.length;i++) {
			var match=false;
			if ((nodeMarker[i].ggMarkerNodeId==id) && (id!='')) match=true;
			for(j=0;j<tags.length;j++) {
				if (nodeMarker[i].ggMarkerNodeId==tags[j]) match=true;
			}
			if (match) {
				newMarker.push(nodeMarker[i]);
			}
		}
		for(i=0;i<activeNodeMarker.length;i++) {
			if (newMarker.indexOf(activeNodeMarker[i])<0) {
				if (activeNodeMarker[i].ggMarkerNormal) {
					activeNodeMarker[i].ggMarkerNormal.style.visibility='inherit';
				}
				if (activeNodeMarker[i].ggMarkerActive) {
					activeNodeMarker[i].ggMarkerActive.style.visibility='hidden';
				}
				if (activeNodeMarker[i].ggDeactivate) {
					activeNodeMarker[i].ggDeactivate();
				}
			}
		}
		for(i=0;i<newMarker.length;i++) {
			if (activeNodeMarker.indexOf(newMarker[i])<0) {
				if (newMarker[i].ggMarkerNormal) {
					newMarker[i].ggMarkerNormal.style.visibility='hidden';
				}
				if (newMarker[i].ggMarkerActive) {
					newMarker[i].ggMarkerActive.style.visibility='inherit';
				}
				if (newMarker[i].ggActivate) {
					newMarker[i].ggActivate();
				}
			}
		}
		activeNodeMarker=newMarker;
	}
	this.skinTimerEvent=function() {
		setTimeout(function() { me.skinTimerEvent(); }, 10);
		var hs='';
		if (me._loading_rectangle.ggParameter) {
			hs+=parameterToTransform(me._loading_rectangle.ggParameter) + ' ';
		}
		hs+='scale(' + (1 * me.player.getPercentLoaded() + 0) + ',1.0) ';
		me._loading_rectangle.style[domTransform]=hs;
		this._loading_text.ggUpdateText();
	};
	function SkinHotspotClass(skinObj,hotspot) {
		var me=this;
		var flag=false;
		this.player=skinObj.player;
		this.skin=skinObj;
		this.hotspot=hotspot;
		this.elementMouseDown=new Array();
		this.elementMouseOver=new Array();
		this.__div=document.createElement('div');
		this.__div.setAttribute('style','position:absolute; left:0px;top:0px;visibility: inherit;');
		
		this.findElements=function(id,regex) {
			return me.skin.findElements(id,regex);
		}
		
		if (hotspot.skinid=='HS-Entrance') {
			this.__div=document.createElement('div');
			this.__div.ggId="HS-Entrance";
			this.__div.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this.__div.ggVisible=true;
			this.__div.className='ggskin ggskin_hotspot';
			this.__div.ggType='hotspot';
			hs ='position:absolute;';
			hs+='left: 50px;';
			hs+='top:  100px;';
			hs+='width: 5px;';
			hs+='height: 5px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='visibility: inherit;';
			this.__div.setAttribute('style',hs);
			this.__div.onclick=function () {
				me.skin.hotspotProxyClick(me.hotspot.id);
			}
			this.__div.onmouseover=function () {
				me.player.hotspot=me.hotspot;
				me.skin._screen_tint.style[domTransition]='none';
				me.skin._screen_tint.style.opacity='1';
				me.skin._screen_tint.style.visibility=me.skin._screen_tint.ggVisible?'inherit':'hidden';
				me.skin._entrance.style[domTransition]='none';
				me.skin._entrance.style.opacity='1';
				me.skin._entrance.style.visibility=me.skin._entrance.ggVisible?'inherit':'hidden';
				me.skin._image_end_text.style[domTransition]='none';
				me.skin._image_end_text.style.opacity='1';
				me.skin._image_end_text.style.visibility=me.skin._image_end_text.ggVisible?'inherit':'hidden';
				me.skin.hotspotProxyOver(me.hotspot.id);
			}
			this.__div.onmouseout=function () {
				me.player.hotspot=me.player.emptyHotspot;
				me.skin.hotspotProxyOut(me.hotspot.id);
			}
			this._hotspot3=document.createElement('div');
			this._hotspot3.ggId="hotspot";
			this._hotspot3.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this._hotspot3.ggVisible=true;
			this._hotspot3.className='ggskin ggskin_button';
			this._hotspot3.ggType='button';
			hs ='position:absolute;';
			hs+='left: -21px;';
			hs+='top:  -19px;';
			hs+='width: 47px;';
			hs+='height: 47px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='visibility: inherit;';
			hs+='cursor: pointer;';
			this._hotspot3.setAttribute('style',hs);
			this._hotspot3__img=document.createElement('img');
			this._hotspot3__img.className='ggskin ggskin_button';
			this._hotspot3__img.setAttribute('src',basePath + 'images/hotspot3.png');
			this._hotspot3__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
			this._hotspot3__img.className='ggskin ggskin_button';
			this._hotspot3__img['ondragstart']=function() { return false; };
			me.player.checkLoaded.push(this._hotspot3__img);
			this._hotspot3.appendChild(this._hotspot3__img);
			this._hotspot3.onmouseover=function () {
				me._hotspot3__img.src=basePath + 'images/hotspot3__o.png';
			}
			this._hotspot3.onmouseout=function () {
				me._hotspot3__img.src=basePath + 'images/hotspot3.png';
			}
			this.__div.appendChild(this._hotspot3);
			this._hotspottitel_black3=document.createElement('div');
			this._hotspottitel_black3__text=document.createElement('div');
			this._hotspottitel_black3.className='ggskin ggskin_textdiv';
			this._hotspottitel_black3.ggTextDiv=this._hotspottitel_black3__text;
			this._hotspottitel_black3.ggId="Hotspot-Titel (black)";
			this._hotspottitel_black3.ggParameter={ rx:0,ry:0,a:0,sx:3,sy:3 };
			this._hotspottitel_black3.ggVisible=true;
			this._hotspottitel_black3.className='ggskin ggskin_text';
			this._hotspottitel_black3.ggType='text';
			this._hotspottitel_black3.ggUpdatePosition=function() {
				this.style[domTransition]='none';
				this.ggTextDiv.style.left=Math.floor(0 + (108-this.ggTextDiv.offsetWidth)/2) + 'px';
			}
			hs ='position:absolute;';
			hs+='left: -52px;';
			hs+='top:  -53px;';
			hs+='width: 108px;';
			hs+='height: 24px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+=cssPrefix + 'transform: ' + parameterToTransform(this._hotspottitel_black3.ggParameter) + ';';
			hs+='visibility: inherit;';
			this._hotspottitel_black3.setAttribute('style',hs);
			hs ='position:absolute;';
			hs+='left: 0px;';
			hs+='top:  0px;';
			hs+='width: auto;';
			hs+='height: auto;';
			hs+='border: 0px solid #000000;';
			hs+='color: #000000;';
			hs+='text-align: center;';
			hs+='white-space: nowrap;';
			hs+='padding: 0px 1px 0px 1px;';
			hs+='overflow: hidden;';
			this._hotspottitel_black3__text.setAttribute('style',hs);
			this._hotspottitel_black3.ggTextDiv.innerHTML=me.hotspot.title;
			this._hotspottitel_black3.appendChild(this._hotspottitel_black3__text);
			this.__div.appendChild(this._hotspottitel_black3);
			this._hotspot_titel_white3=document.createElement('div');
			this._hotspot_titel_white3__text=document.createElement('div');
			this._hotspot_titel_white3.className='ggskin ggskin_textdiv';
			this._hotspot_titel_white3.ggTextDiv=this._hotspot_titel_white3__text;
			this._hotspot_titel_white3.ggId="Hotspot Titel (white)";
			this._hotspot_titel_white3.ggParameter={ rx:0,ry:0,a:0,sx:3,sy:3 };
			this._hotspot_titel_white3.ggVisible=true;
			this._hotspot_titel_white3.className='ggskin ggskin_text';
			this._hotspot_titel_white3.ggType='text';
			this._hotspot_titel_white3.ggUpdatePosition=function() {
				this.style[domTransition]='none';
				this.ggTextDiv.style.left=Math.floor(0 + (108-this.ggTextDiv.offsetWidth)/2) + 'px';
			}
			hs ='position:absolute;';
			hs+='left: -54px;';
			hs+='top:  -55px;';
			hs+='width: 108px;';
			hs+='height: 24px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+=cssPrefix + 'transform: ' + parameterToTransform(this._hotspot_titel_white3.ggParameter) + ';';
			hs+='visibility: inherit;';
			this._hotspot_titel_white3.setAttribute('style',hs);
			hs ='position:absolute;';
			hs+='left: 0px;';
			hs+='top:  0px;';
			hs+='width: auto;';
			hs+='height: auto;';
			hs+='border: 0px solid #000000;';
			hs+='color: #ffffff;';
			hs+='text-align: center;';
			hs+='white-space: nowrap;';
			hs+='padding: 0px 1px 0px 1px;';
			hs+='overflow: hidden;';
			this._hotspot_titel_white3__text.setAttribute('style',hs);
			this._hotspot_titel_white3.ggTextDiv.innerHTML=me.hotspot.title;
			this._hotspot_titel_white3.appendChild(this._hotspot_titel_white3__text);
			this.__div.appendChild(this._hotspot_titel_white3);
		} else
		if (hotspot.skinid=='HS-Reception') {
			this.__div=document.createElement('div');
			this.__div.ggId="HS-Reception";
			this.__div.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this.__div.ggVisible=true;
			this.__div.className='ggskin ggskin_hotspot';
			this.__div.ggType='hotspot';
			hs ='position:absolute;';
			hs+='left: 50px;';
			hs+='top:  100px;';
			hs+='width: 5px;';
			hs+='height: 5px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='visibility: inherit;';
			this.__div.setAttribute('style',hs);
			this.__div.onclick=function () {
				me.skin.hotspotProxyClick(me.hotspot.id);
			}
			this.__div.onmouseover=function () {
				me.player.hotspot=me.hotspot;
				me.skin._reception.style[domTransition]='none';
				me.skin._reception.style.opacity='1';
				me.skin._reception.style.visibility=me.skin._reception.ggVisible?'inherit':'hidden';
				me.skin._image_end_text.style[domTransition]='none';
				me.skin._image_end_text.style.opacity='1';
				me.skin._image_end_text.style.visibility=me.skin._image_end_text.ggVisible?'inherit':'hidden';
				me.skin._image_end_text.style[domTransition]='none';
				me.skin._image_end_text.style.opacity='1';
				me.skin._image_end_text.style.visibility=me.skin._image_end_text.ggVisible?'inherit':'hidden';
				me.skin.hotspotProxyOver(me.hotspot.id);
			}
			this.__div.onmouseout=function () {
				me.player.hotspot=me.player.emptyHotspot;
				me.skin.hotspotProxyOut(me.hotspot.id);
			}
			this._hotspot2=document.createElement('div');
			this._hotspot2.ggId="hotspot";
			this._hotspot2.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this._hotspot2.ggVisible=true;
			this._hotspot2.className='ggskin ggskin_button';
			this._hotspot2.ggType='button';
			hs ='position:absolute;';
			hs+='left: -21px;';
			hs+='top:  -19px;';
			hs+='width: 47px;';
			hs+='height: 47px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='visibility: inherit;';
			hs+='cursor: pointer;';
			this._hotspot2.setAttribute('style',hs);
			this._hotspot2__img=document.createElement('img');
			this._hotspot2__img.className='ggskin ggskin_button';
			this._hotspot2__img.setAttribute('src',basePath + 'images/hotspot2.png');
			this._hotspot2__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
			this._hotspot2__img.className='ggskin ggskin_button';
			this._hotspot2__img['ondragstart']=function() { return false; };
			me.player.checkLoaded.push(this._hotspot2__img);
			this._hotspot2.appendChild(this._hotspot2__img);
			this._hotspot2.onmouseover=function () {
				me._hotspot2__img.src=basePath + 'images/hotspot2__o.png';
			}
			this._hotspot2.onmouseout=function () {
				me._hotspot2__img.src=basePath + 'images/hotspot2.png';
			}
			this.__div.appendChild(this._hotspot2);
			this._hotspottitel_black2=document.createElement('div');
			this._hotspottitel_black2__text=document.createElement('div');
			this._hotspottitel_black2.className='ggskin ggskin_textdiv';
			this._hotspottitel_black2.ggTextDiv=this._hotspottitel_black2__text;
			this._hotspottitel_black2.ggId="Hotspot-Titel (black)";
			this._hotspottitel_black2.ggParameter={ rx:0,ry:0,a:0,sx:3,sy:3 };
			this._hotspottitel_black2.ggVisible=true;
			this._hotspottitel_black2.className='ggskin ggskin_text';
			this._hotspottitel_black2.ggType='text';
			this._hotspottitel_black2.ggUpdatePosition=function() {
				this.style[domTransition]='none';
				this.ggTextDiv.style.left=Math.floor(0 + (108-this.ggTextDiv.offsetWidth)/2) + 'px';
			}
			hs ='position:absolute;';
			hs+='left: -52px;';
			hs+='top:  -53px;';
			hs+='width: 108px;';
			hs+='height: 24px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+=cssPrefix + 'transform: ' + parameterToTransform(this._hotspottitel_black2.ggParameter) + ';';
			hs+='visibility: inherit;';
			this._hotspottitel_black2.setAttribute('style',hs);
			hs ='position:absolute;';
			hs+='left: 0px;';
			hs+='top:  0px;';
			hs+='width: auto;';
			hs+='height: auto;';
			hs+='border: 0px solid #000000;';
			hs+='color: #000000;';
			hs+='text-align: center;';
			hs+='white-space: nowrap;';
			hs+='padding: 0px 1px 0px 1px;';
			hs+='overflow: hidden;';
			this._hotspottitel_black2__text.setAttribute('style',hs);
			this._hotspottitel_black2.ggTextDiv.innerHTML=me.hotspot.title;
			this._hotspottitel_black2.appendChild(this._hotspottitel_black2__text);
			this.__div.appendChild(this._hotspottitel_black2);
			this._hotspot_titel_white2=document.createElement('div');
			this._hotspot_titel_white2__text=document.createElement('div');
			this._hotspot_titel_white2.className='ggskin ggskin_textdiv';
			this._hotspot_titel_white2.ggTextDiv=this._hotspot_titel_white2__text;
			this._hotspot_titel_white2.ggId="Hotspot Titel (white)";
			this._hotspot_titel_white2.ggParameter={ rx:0,ry:0,a:0,sx:3,sy:3 };
			this._hotspot_titel_white2.ggVisible=true;
			this._hotspot_titel_white2.className='ggskin ggskin_text';
			this._hotspot_titel_white2.ggType='text';
			this._hotspot_titel_white2.ggUpdatePosition=function() {
				this.style[domTransition]='none';
				this.ggTextDiv.style.left=Math.floor(0 + (108-this.ggTextDiv.offsetWidth)/2) + 'px';
			}
			hs ='position:absolute;';
			hs+='left: -54px;';
			hs+='top:  -55px;';
			hs+='width: 108px;';
			hs+='height: 24px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+=cssPrefix + 'transform: ' + parameterToTransform(this._hotspot_titel_white2.ggParameter) + ';';
			hs+='visibility: inherit;';
			this._hotspot_titel_white2.setAttribute('style',hs);
			hs ='position:absolute;';
			hs+='left: 0px;';
			hs+='top:  0px;';
			hs+='width: auto;';
			hs+='height: auto;';
			hs+='border: 0px solid #000000;';
			hs+='color: #ffffff;';
			hs+='text-align: center;';
			hs+='white-space: nowrap;';
			hs+='padding: 0px 1px 0px 1px;';
			hs+='overflow: hidden;';
			this._hotspot_titel_white2__text.setAttribute('style',hs);
			this._hotspot_titel_white2.ggTextDiv.innerHTML=me.hotspot.title;
			this._hotspot_titel_white2.appendChild(this._hotspot_titel_white2__text);
			this.__div.appendChild(this._hotspot_titel_white2);
		} else
		if (hotspot.skinid=='HS-Hygiene') {
			this.__div=document.createElement('div');
			this.__div.ggId="HS-Hygiene";
			this.__div.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this.__div.ggVisible=true;
			this.__div.className='ggskin ggskin_hotspot';
			this.__div.ggType='hotspot';
			hs ='position:absolute;';
			hs+='left: 50px;';
			hs+='top:  100px;';
			hs+='width: 5px;';
			hs+='height: 5px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='visibility: inherit;';
			this.__div.setAttribute('style',hs);
			this.__div.onclick=function () {
				me.skin.hotspotProxyClick(me.hotspot.id);
			}
			this.__div.onmouseover=function () {
				me.player.hotspot=me.hotspot;
				if (me.player.transitionsDisabled) {
					me.skin._hygiene.style[domTransition]='none';
				} else {
					me.skin._hygiene.style[domTransition]='all 500ms ease-out 0ms';
				}
				me.skin._hygiene.style.opacity='1';
				me.skin._hygiene.style.visibility=me.skin._hygiene.ggVisible?'inherit':'hidden';
				if (me.player.transitionsDisabled) {
					me.skin._image_end_text.style[domTransition]='none';
				} else {
					me.skin._image_end_text.style[domTransition]='all 500ms ease-out 0ms';
				}
				me.skin._image_end_text.style.opacity='1';
				me.skin._image_end_text.style.visibility=me.skin._image_end_text.ggVisible?'inherit':'hidden';
				if (me.player.transitionsDisabled) {
					me.skin._screen_tint.style[domTransition]='none';
				} else {
					me.skin._screen_tint.style[domTransition]='all 500ms ease-out 0ms';
				}
				me.skin._screen_tint.style.opacity='1';
				me.skin._screen_tint.style.visibility=me.skin._screen_tint.ggVisible?'inherit':'hidden';
				me.skin.hotspotProxyOver(me.hotspot.id);
			}
			this.__div.onmouseout=function () {
				me.player.hotspot=me.player.emptyHotspot;
				me.skin.hotspotProxyOut(me.hotspot.id);
			}
			this._hotspot1=document.createElement('div');
			this._hotspot1.ggId="hotspot";
			this._hotspot1.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this._hotspot1.ggVisible=true;
			this._hotspot1.className='ggskin ggskin_button';
			this._hotspot1.ggType='button';
			hs ='position:absolute;';
			hs+='left: -21px;';
			hs+='top:  -19px;';
			hs+='width: 47px;';
			hs+='height: 47px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='visibility: inherit;';
			hs+='cursor: pointer;';
			this._hotspot1.setAttribute('style',hs);
			this._hotspot1__img=document.createElement('img');
			this._hotspot1__img.className='ggskin ggskin_button';
			this._hotspot1__img.setAttribute('src',basePath + 'images/hotspot1.png');
			this._hotspot1__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
			this._hotspot1__img.className='ggskin ggskin_button';
			this._hotspot1__img['ondragstart']=function() { return false; };
			me.player.checkLoaded.push(this._hotspot1__img);
			this._hotspot1.appendChild(this._hotspot1__img);
			this._hotspot1.onmouseover=function () {
				me._hotspot1__img.src=basePath + 'images/hotspot1__o.png';
			}
			this._hotspot1.onmouseout=function () {
				me._hotspot1__img.src=basePath + 'images/hotspot1.png';
			}
			this.__div.appendChild(this._hotspot1);
			this._hotspottitel_black1=document.createElement('div');
			this._hotspottitel_black1__text=document.createElement('div');
			this._hotspottitel_black1.className='ggskin ggskin_textdiv';
			this._hotspottitel_black1.ggTextDiv=this._hotspottitel_black1__text;
			this._hotspottitel_black1.ggId="Hotspot-Titel (black)";
			this._hotspottitel_black1.ggParameter={ rx:0,ry:0,a:0,sx:3,sy:3 };
			this._hotspottitel_black1.ggVisible=true;
			this._hotspottitel_black1.className='ggskin ggskin_text';
			this._hotspottitel_black1.ggType='text';
			this._hotspottitel_black1.ggUpdatePosition=function() {
				this.style[domTransition]='none';
				this.ggTextDiv.style.left=Math.floor(0 + (108-this.ggTextDiv.offsetWidth)/2) + 'px';
			}
			hs ='position:absolute;';
			hs+='left: -52px;';
			hs+='top:  -53px;';
			hs+='width: 108px;';
			hs+='height: 24px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+=cssPrefix + 'transform: ' + parameterToTransform(this._hotspottitel_black1.ggParameter) + ';';
			hs+='visibility: inherit;';
			this._hotspottitel_black1.setAttribute('style',hs);
			hs ='position:absolute;';
			hs+='left: 0px;';
			hs+='top:  0px;';
			hs+='width: auto;';
			hs+='height: auto;';
			hs+='border: 0px solid #000000;';
			hs+='color: #000000;';
			hs+='text-align: center;';
			hs+='white-space: nowrap;';
			hs+='padding: 0px 1px 0px 1px;';
			hs+='overflow: hidden;';
			this._hotspottitel_black1__text.setAttribute('style',hs);
			this._hotspottitel_black1.ggTextDiv.innerHTML=me.hotspot.title;
			this._hotspottitel_black1.appendChild(this._hotspottitel_black1__text);
			this.__div.appendChild(this._hotspottitel_black1);
			this._hotspot_titel_white1=document.createElement('div');
			this._hotspot_titel_white1__text=document.createElement('div');
			this._hotspot_titel_white1.className='ggskin ggskin_textdiv';
			this._hotspot_titel_white1.ggTextDiv=this._hotspot_titel_white1__text;
			this._hotspot_titel_white1.ggId="Hotspot Titel (white)";
			this._hotspot_titel_white1.ggParameter={ rx:0,ry:0,a:0,sx:3,sy:3 };
			this._hotspot_titel_white1.ggVisible=true;
			this._hotspot_titel_white1.className='ggskin ggskin_text';
			this._hotspot_titel_white1.ggType='text';
			this._hotspot_titel_white1.ggUpdatePosition=function() {
				this.style[domTransition]='none';
				this.ggTextDiv.style.left=Math.floor(0 + (108-this.ggTextDiv.offsetWidth)/2) + 'px';
			}
			hs ='position:absolute;';
			hs+='left: -54px;';
			hs+='top:  -55px;';
			hs+='width: 108px;';
			hs+='height: 24px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+=cssPrefix + 'transform: ' + parameterToTransform(this._hotspot_titel_white1.ggParameter) + ';';
			hs+='visibility: inherit;';
			this._hotspot_titel_white1.setAttribute('style',hs);
			hs ='position:absolute;';
			hs+='left: 0px;';
			hs+='top:  0px;';
			hs+='width: auto;';
			hs+='height: auto;';
			hs+='border: 0px solid #000000;';
			hs+='color: #ffffff;';
			hs+='text-align: center;';
			hs+='white-space: nowrap;';
			hs+='padding: 0px 1px 0px 1px;';
			hs+='overflow: hidden;';
			this._hotspot_titel_white1__text.setAttribute('style',hs);
			this._hotspot_titel_white1.ggTextDiv.innerHTML=me.hotspot.title;
			this._hotspot_titel_white1.appendChild(this._hotspot_titel_white1__text);
			this.__div.appendChild(this._hotspot_titel_white1);
		} else
		if (hotspot.skinid=='HS-Treatment') {
			this.__div=document.createElement('div');
			this.__div.ggId="HS-Treatment";
			this.__div.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this.__div.ggVisible=true;
			this.__div.className='ggskin ggskin_hotspot';
			this.__div.ggType='hotspot';
			hs ='position:absolute;';
			hs+='left: 50px;';
			hs+='top:  100px;';
			hs+='width: 5px;';
			hs+='height: 5px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='visibility: inherit;';
			this.__div.setAttribute('style',hs);
			this.__div.onclick=function () {
				me.skin.hotspotProxyClick(me.hotspot.id);
			}
			this.__div.onmouseover=function () {
				me.player.hotspot=me.hotspot;
				me.skin._treatment.style[domTransition]='none';
				me.skin._treatment.style.opacity='1';
				me.skin._treatment.style.visibility=me.skin._treatment.ggVisible?'inherit':'hidden';
				if (me.player.transitionsDisabled) {
					me.skin._screen_tint.style[domTransition]='none';
				} else {
					me.skin._screen_tint.style[domTransition]='all 500ms ease-out 0ms';
				}
				me.skin._screen_tint.style.opacity='1';
				me.skin._screen_tint.style.visibility=me.skin._screen_tint.ggVisible?'inherit':'hidden';
				if (me.player.transitionsDisabled) {
					me.skin._image_end_text.style[domTransition]='none';
				} else {
					me.skin._image_end_text.style[domTransition]='all 500ms ease-out 0ms';
				}
				me.skin._image_end_text.style.opacity='1';
				me.skin._image_end_text.style.visibility=me.skin._image_end_text.ggVisible?'inherit':'hidden';
				me.skin.hotspotProxyOver(me.hotspot.id);
			}
			this.__div.onmouseout=function () {
				me.player.hotspot=me.player.emptyHotspot;
				me.skin.hotspotProxyOut(me.hotspot.id);
			}
			this._hotspot0=document.createElement('div');
			this._hotspot0.ggId="hotspot";
			this._hotspot0.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this._hotspot0.ggVisible=true;
			this._hotspot0.className='ggskin ggskin_button';
			this._hotspot0.ggType='button';
			hs ='position:absolute;';
			hs+='left: -21px;';
			hs+='top:  -19px;';
			hs+='width: 47px;';
			hs+='height: 47px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='visibility: inherit;';
			hs+='cursor: pointer;';
			this._hotspot0.setAttribute('style',hs);
			this._hotspot0__img=document.createElement('img');
			this._hotspot0__img.className='ggskin ggskin_button';
			this._hotspot0__img.setAttribute('src',basePath + 'images/hotspot0.png');
			this._hotspot0__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
			this._hotspot0__img.className='ggskin ggskin_button';
			this._hotspot0__img['ondragstart']=function() { return false; };
			me.player.checkLoaded.push(this._hotspot0__img);
			this._hotspot0.appendChild(this._hotspot0__img);
			this._hotspot0.onmouseover=function () {
				me._hotspot0__img.src=basePath + 'images/hotspot0__o.png';
			}
			this._hotspot0.onmouseout=function () {
				me._hotspot0__img.src=basePath + 'images/hotspot0.png';
			}
			this.__div.appendChild(this._hotspot0);
			this._hotspottitel_black0=document.createElement('div');
			this._hotspottitel_black0__text=document.createElement('div');
			this._hotspottitel_black0.className='ggskin ggskin_textdiv';
			this._hotspottitel_black0.ggTextDiv=this._hotspottitel_black0__text;
			this._hotspottitel_black0.ggId="Hotspot-Titel (black)";
			this._hotspottitel_black0.ggParameter={ rx:0,ry:0,a:0,sx:3,sy:3 };
			this._hotspottitel_black0.ggVisible=true;
			this._hotspottitel_black0.className='ggskin ggskin_text';
			this._hotspottitel_black0.ggType='text';
			this._hotspottitel_black0.ggUpdatePosition=function() {
				this.style[domTransition]='none';
				this.ggTextDiv.style.left=Math.floor(0 + (108-this.ggTextDiv.offsetWidth)/2) + 'px';
			}
			hs ='position:absolute;';
			hs+='left: -52px;';
			hs+='top:  -53px;';
			hs+='width: 108px;';
			hs+='height: 24px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+=cssPrefix + 'transform: ' + parameterToTransform(this._hotspottitel_black0.ggParameter) + ';';
			hs+='visibility: inherit;';
			this._hotspottitel_black0.setAttribute('style',hs);
			hs ='position:absolute;';
			hs+='left: 0px;';
			hs+='top:  0px;';
			hs+='width: auto;';
			hs+='height: auto;';
			hs+='border: 0px solid #000000;';
			hs+='color: #000000;';
			hs+='text-align: center;';
			hs+='white-space: nowrap;';
			hs+='padding: 0px 1px 0px 1px;';
			hs+='overflow: hidden;';
			this._hotspottitel_black0__text.setAttribute('style',hs);
			this._hotspottitel_black0.ggTextDiv.innerHTML=me.hotspot.title;
			this._hotspottitel_black0.appendChild(this._hotspottitel_black0__text);
			this.__div.appendChild(this._hotspottitel_black0);
			this._hotspot_titel_white0=document.createElement('div');
			this._hotspot_titel_white0__text=document.createElement('div');
			this._hotspot_titel_white0.className='ggskin ggskin_textdiv';
			this._hotspot_titel_white0.ggTextDiv=this._hotspot_titel_white0__text;
			this._hotspot_titel_white0.ggId="Hotspot Titel (white)";
			this._hotspot_titel_white0.ggParameter={ rx:0,ry:0,a:0,sx:3,sy:3 };
			this._hotspot_titel_white0.ggVisible=true;
			this._hotspot_titel_white0.className='ggskin ggskin_text';
			this._hotspot_titel_white0.ggType='text';
			this._hotspot_titel_white0.ggUpdatePosition=function() {
				this.style[domTransition]='none';
				this.ggTextDiv.style.left=Math.floor(0 + (108-this.ggTextDiv.offsetWidth)/2) + 'px';
			}
			hs ='position:absolute;';
			hs+='left: -54px;';
			hs+='top:  -55px;';
			hs+='width: 108px;';
			hs+='height: 24px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+=cssPrefix + 'transform: ' + parameterToTransform(this._hotspot_titel_white0.ggParameter) + ';';
			hs+='visibility: inherit;';
			this._hotspot_titel_white0.setAttribute('style',hs);
			hs ='position:absolute;';
			hs+='left: 0px;';
			hs+='top:  0px;';
			hs+='width: auto;';
			hs+='height: auto;';
			hs+='border: 0px solid #000000;';
			hs+='color: #ffffff;';
			hs+='text-align: center;';
			hs+='white-space: nowrap;';
			hs+='padding: 0px 1px 0px 1px;';
			hs+='overflow: hidden;';
			this._hotspot_titel_white0__text.setAttribute('style',hs);
			this._hotspot_titel_white0.ggTextDiv.innerHTML=me.hotspot.title;
			this._hotspot_titel_white0.appendChild(this._hotspot_titel_white0__text);
			this.__div.appendChild(this._hotspot_titel_white0);
		} else
		{
			this.__div=document.createElement('div');
			this.__div.ggId="HS-Panoswitch";
			this.__div.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this.__div.ggVisible=true;
			this.__div.className='ggskin ggskin_hotspot';
			this.__div.ggType='hotspot';
			hs ='position:absolute;';
			hs+='left: 50px;';
			hs+='top:  100px;';
			hs+='width: 5px;';
			hs+='height: 5px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='visibility: inherit;';
			this.__div.setAttribute('style',hs);
			this.__div.onclick=function () {
				me.skin.hotspotProxyClick(me.hotspot.id);
			}
			this.__div.onmouseover=function () {
				me.player.hotspot=me.hotspot;
				me.player.openUrl(me.hotspot.url,me.hotspot.target);
				me.skin.hotspotProxyOver(me.hotspot.id);
			}
			this.__div.onmouseout=function () {
				me.player.hotspot=me.player.emptyHotspot;
				me.skin.hotspotProxyOut(me.hotspot.id);
			}
			this._hotspot=document.createElement('div');
			this._hotspot.ggId="hotspot";
			this._hotspot.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this._hotspot.ggVisible=true;
			this._hotspot.className='ggskin ggskin_button';
			this._hotspot.ggType='button';
			hs ='position:absolute;';
			hs+='left: -21px;';
			hs+='top:  -19px;';
			hs+='width: 47px;';
			hs+='height: 47px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='visibility: inherit;';
			hs+='cursor: pointer;';
			this._hotspot.setAttribute('style',hs);
			this._hotspot__img=document.createElement('img');
			this._hotspot__img.className='ggskin ggskin_button';
			this._hotspot__img.setAttribute('src',basePath + 'images/hotspot.png');
			this._hotspot__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
			this._hotspot__img.className='ggskin ggskin_button';
			this._hotspot__img['ondragstart']=function() { return false; };
			me.player.checkLoaded.push(this._hotspot__img);
			this._hotspot.appendChild(this._hotspot__img);
			this._hotspot.onclick=function () {
				if (me.player.transitionsDisabled) {
					me.skin._screen_tint.style[domTransition]='none';
				} else {
					me.skin._screen_tint.style[domTransition]='all 500ms ease-out 0ms';
				}
				me.skin._screen_tint.style.opacity='0';
				me.skin._screen_tint.style.visibility='hidden';
			}
			this._hotspot.onmouseover=function () {
				me._hotspot__img.src=basePath + 'images/hotspot__o.png';
			}
			this._hotspot.onmouseout=function () {
				me._hotspot__img.src=basePath + 'images/hotspot.png';
			}
			this.__div.appendChild(this._hotspot);
			this._hotspottitel_black=document.createElement('div');
			this._hotspottitel_black__text=document.createElement('div');
			this._hotspottitel_black.className='ggskin ggskin_textdiv';
			this._hotspottitel_black.ggTextDiv=this._hotspottitel_black__text;
			this._hotspottitel_black.ggId="Hotspot-Titel (black)";
			this._hotspottitel_black.ggParameter={ rx:0,ry:0,a:0,sx:3,sy:3 };
			this._hotspottitel_black.ggVisible=true;
			this._hotspottitel_black.className='ggskin ggskin_text';
			this._hotspottitel_black.ggType='text';
			this._hotspottitel_black.ggUpdatePosition=function() {
				this.style[domTransition]='none';
				this.ggTextDiv.style.left=Math.floor(0 + (108-this.ggTextDiv.offsetWidth)/2) + 'px';
			}
			hs ='position:absolute;';
			hs+='left: -52px;';
			hs+='top:  -53px;';
			hs+='width: 108px;';
			hs+='height: 24px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+=cssPrefix + 'transform: ' + parameterToTransform(this._hotspottitel_black.ggParameter) + ';';
			hs+='visibility: inherit;';
			this._hotspottitel_black.setAttribute('style',hs);
			hs ='position:absolute;';
			hs+='left: 0px;';
			hs+='top:  0px;';
			hs+='width: auto;';
			hs+='height: auto;';
			hs+='border: 0px solid #000000;';
			hs+='color: #000000;';
			hs+='text-align: center;';
			hs+='white-space: nowrap;';
			hs+='padding: 0px 1px 0px 1px;';
			hs+='overflow: hidden;';
			this._hotspottitel_black__text.setAttribute('style',hs);
			this._hotspottitel_black.ggTextDiv.innerHTML=me.hotspot.title;
			this._hotspottitel_black.appendChild(this._hotspottitel_black__text);
			this.__div.appendChild(this._hotspottitel_black);
			this._hotspot_titel_white=document.createElement('div');
			this._hotspot_titel_white__text=document.createElement('div');
			this._hotspot_titel_white.className='ggskin ggskin_textdiv';
			this._hotspot_titel_white.ggTextDiv=this._hotspot_titel_white__text;
			this._hotspot_titel_white.ggId="Hotspot Titel (white)";
			this._hotspot_titel_white.ggParameter={ rx:0,ry:0,a:0,sx:3,sy:3 };
			this._hotspot_titel_white.ggVisible=true;
			this._hotspot_titel_white.className='ggskin ggskin_text';
			this._hotspot_titel_white.ggType='text';
			this._hotspot_titel_white.ggUpdatePosition=function() {
				this.style[domTransition]='none';
				this.ggTextDiv.style.left=Math.floor(0 + (108-this.ggTextDiv.offsetWidth)/2) + 'px';
			}
			hs ='position:absolute;';
			hs+='left: -54px;';
			hs+='top:  -55px;';
			hs+='width: 108px;';
			hs+='height: 24px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+=cssPrefix + 'transform: ' + parameterToTransform(this._hotspot_titel_white.ggParameter) + ';';
			hs+='visibility: inherit;';
			this._hotspot_titel_white.setAttribute('style',hs);
			hs ='position:absolute;';
			hs+='left: 0px;';
			hs+='top:  0px;';
			hs+='width: auto;';
			hs+='height: auto;';
			hs+='border: 0px solid #000000;';
			hs+='color: #ffffff;';
			hs+='text-align: center;';
			hs+='white-space: nowrap;';
			hs+='padding: 0px 1px 0px 1px;';
			hs+='overflow: hidden;';
			this._hotspot_titel_white__text.setAttribute('style',hs);
			this._hotspot_titel_white.ggTextDiv.innerHTML=me.hotspot.title;
			this._hotspot_titel_white.appendChild(this._hotspot_titel_white__text);
			this.__div.appendChild(this._hotspot_titel_white);
		}
	};
	this.addSkinHotspot=function(hotspot) {
		return new SkinHotspotClass(me,hotspot);
	}
	this.addSkin();
};